Name:           autojump
Version:        21.1.2
Release:        %mkrel 2

Summary:        A fast way to navigate your filesystem from the command line

Group:          Shells
License:        GPLv3+
URL:            http://wiki.github.com/joelthelion/autojump
Source:         https://github.com/downloads/joelthelion/%{name}/%{name}_v%{version}.tar.gz
BuildArch:      noarch

%description
autojump provides a fast way to navigate your filesystem, with a "cd command
that learns".

It works by maintaining a database of the directories you use the most from
the command line, and allows you to "jump" to frequently used directories by
typing only "j" + a small pattern.

%package zsh
Requires:       %{name} = %{version}-%{release}
Group:          Shells
Summary:        Autojump for zsh

%description zsh
autojump is a faster way to navigate your filesystem. It works by maintaining 
a database of the directories you use the most from the command line.
autojump-zsh is designed to work with zsh.

%prep
%setup -q -n %{name}_v%{version}

%build
#make docs

%check
#python tests/runtests.py

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_datadir}/%{name}

# There must be a more elegant way to do that
install -p bin/icon.png %{buildroot}%{_datadir}/%{name}/icon.png
install -Dp bin/%{name} %{buildroot}%{_bindir}/%{name}
#install -p bin/jumpapplet %{buildroot}%{_bindir}/jumpapplet
install -Dpm 644 bin/_j %{buildroot}%{_datadir}/zsh/site-functions/_j
install -Dpm 644 bin/%{name}.bash %{buildroot}%{_sysconfdir}/profile.d/%{name}.bash
install -Dpm 644 bin/%{name}.sh %{buildroot}%{_sysconfdir}/profile.d/%{name}.sh
install -Dpm 644 bin/%{name}.zsh %{buildroot}%{_sysconfdir}/profile.d/%{name}.zsh

install -Dpm 644 docs/%{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1
# jumpapplet needs autojump.py
#ln -s %{name} %{buildroot}%{_bindir}/%{name}.py

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE README.md AUTHORS
%{_bindir}/%{name}
#%{_bindir}/%{name}.py
#%{_bindir}/jumpapplet
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.1*
%config(noreplace) %{_sysconfdir}/profile.d/%{name}.sh
%config(noreplace) %{_sysconfdir}/profile.d/%{name}.bash

%files zsh
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/profile.d/%{name}.zsh
%dir %{_datadir}/zsh/site-functions/
%{_datadir}/zsh/site-functions/_j


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 21.1.2-2.mga3
+ Revision: 346661
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 stormi <stormi> 21.1.2-1.mga3
+ Revision: 338371
- fix group
- new version 21.2.1
- new version 19

* Sat Sep 24 2011 stormi <stormi> 17-1.mga2
+ Revision: 147542
- add patch to remove the need for a "python2" binary
- new version 17
- clean spec

* Thu Apr 14 2011 stormi <stormi> 15-1.mga1
+ Revision: 85534
- imported package autojump

